Create a field on an entity definition
curl --request POST \
--url https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"constraints": [
"<string>"
],
"phi_flag": true,
"position": 1
}
'import requests
url = "https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields"
payload = {
"name": "<string>",
"key": "<string>",
"constraints": ["<string>"],
"phi_flag": True,
"position": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
constraints: ['<string>'],
phi_flag: true,
position: 1
})
};
fetch('https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
]
}{
"success": false,
"error": {
"type": "authentication",
"code": "INVALID_API_KEY",
"message": "Bearer token is missing, malformed, or revoked.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"success": false,
"error": {
"type": "permission",
"code": "MISSING_SCOPE",
"message": "The caller is authenticated but lacks the scope or capability this route requires.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Schema
Create a field on an entity definition
POST /v1/projects//schemas//fields
POST
/
projects
/
{project}
/
schemas
/
{entity}
/
fields
Create a field on an entity definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
255Available options:
text, multiline, number, boolean, date, enum, reference, currency, phone, email, json Maximum string length:
63Pattern:
^[a-z0-9_]+$Required range:
x >= 0Response
⌘I